extends Node

func _ready() -> void:
	print("Loaded Music singleton")

var change_slow_actions : Array = []

func register_change_action(change_action : Node) -> void:
	print("Registered change action")
	change_slow_actions.append(change_action)
	
func unregister_change_action(change_action : Node) -> void:
	print("Unregistered change action")
	change_slow_actions.erase(change_action)
	
func change_music() -> void:
	for change_action in change_slow_actions:
		change_action.execute()
